LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06771Bug reports[All Projects] Documentationpublic2012-10-24 18:012012-11-02 13:09
ReporterHolzhauer 
Assigned Toc_schmitz 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version 
Summary06771: Instructions on "Installation security hints" do not seem to apply to version 2.00+
DescriptionSee http://docs.limesurvey.org/Installation+security+hints&structure=English+Instructions+for+LimeSurvey#Other_security_issues [^] regarding "put the certain information from the config.php file in a non-web directory":

There is no $rootdir in config.php (anymore). Following the instructions and setting 'basePath' instead to the 'application'-folder (what dirname(dirname(__FILE__)) seems to do) and doing similar for 'runtimePath' limesurvey does stop somewhere (however I ensured the realconfig.php is found by inserting print-messages). Putting the confing.php directly in the config folder works
Steps To ReproduceSee desciption
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID121024
BrowserFirefox 15.0.1
Database & DB-VersionMySQL 5.5.25
Operating System (Server)Debian GNU/Linux 6.0.6
Webserver software & versionApache
PHP Version5.3.3-7+squeeze3
Attached Files

- Relationships

-  Notes
User avatar (21632)
Mazi (developer)
2012-10-24 20:19

Carsten, I think we should add a section on how things are different at LS2. Since you know the system architecture far better, can you have a look at http://docs.limesurvey.org/Installation+security+hints&structure=English+Instructions+for+LimeSurvey#Other_security_issues? [^]

Thanks!
User avatar (21648)
c_schmitz (administrator)
2012-10-25 13:37

Updated the documentation.
User avatar (21684)
Holzhauer (reporter)
2012-10-25 15:58

Unfortunetly, the changed description does not work either. The script stops somewhere. However, without adapting the values for 'basePath' and 'runtimePath' in configreal.php I don't expect it to work, but setting it as described above does not work, too.
User avatar (21906)
c_schmitz (administrator)
2012-11-02 13:09

Added more details

- Issue History
Date Modified Username Field Change
2012-10-24 18:01 Holzhauer New Issue
2012-10-24 18:01 Holzhauer Status new => assigned
2012-10-24 18:01 Holzhauer Assigned To => Mazi
2012-10-24 20:18 Mazi Assigned To Mazi => c_schmitz
2012-10-24 20:19 Mazi Note Added: 21632
2012-10-25 13:37 c_schmitz Status assigned => resolved
2012-10-25 13:37 c_schmitz Resolution open => fixed
2012-10-25 13:37 c_schmitz Note Added: 21648
2012-10-25 13:37 c_schmitz Status resolved => closed
2012-10-25 15:58 Holzhauer Note Added: 21684
2012-10-25 15:58 Holzhauer Status closed => feedback
2012-10-25 15:58 Holzhauer Resolution fixed => reopened
2012-11-02 13:09 c_schmitz Note Added: 21906
2012-11-02 13:09 c_schmitz Status feedback => resolved
2012-11-02 13:09 c_schmitz Resolution reopened => fixed
2012-11-02 13:09 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker